-- ****************************************************
-- Created by: ACTgen 7.2.3.2
-- Date : Mon Dec 04 10:50:15 2006 
-- Parameters:
--   WIDTH:12
--   REPRESENTATION:UNSIGNED
--   CI_POLARITY:2
--   CO_POLARITY:2
-- ****************************************************

library IEEE;
use IEEE.std_logic_1164.all;
use IEEE.std_logic_arith.all;

entity Subtract is
  generic (WIDTH_SUB: integer);
  port(DataA, DataB : in STD_LOGIC_VECTOR(WIDTH_SUB-1 downto 0);
       Sum : out STD_LOGIC_VECTOR(WIDTH_SUB-1 downto 0));

end Subtract ; 

architecture behavioral of Subtract is
    signal DataA_in, DataB_in : UNSIGNED(WIDTH_SUB-1 downto 0);
    signal sumAux : UNSIGNED(WIDTH_SUB-1 downto 0);
begin
   DataA_in <= UNSIGNED(DataA);
   DataB_in <= UNSIGNED(DataB);
  process (DataA_in, DataB_in)
  begin

    sumAux <= DataA_in - DataB_in;

  end process;

    Sum <= STD_LOGIC_VECTOR(sumAux(WIDTH_SUB-1 downto 0));

end behavioral;
